The wl_shell interface

## Macros

#define | WL_SHELL_GET_SHELL_SURFACE_SINCE_VERSION 1

## Functions

static void | wl_shell_set_user_data (struct wl_shell *wl_shell, void *user_data)
static void * | wl_shell_get_user_data (struct wl_shell *wl_shell)
static void | wl_shell_destroy (struct wl_shell *wl_shell)
static struct wl_shell_surface * | wl_shell_get_shell_surface (struct wl_shell *wl_shell, struct wl_surface *surface)

## Detailed Description

This interface is implemented by servers that provide desktop-style user interfaces.

It allows clients to associate a wl_shell_surface with a basic surface.

## Macro Definition Documentation

## WL_SHELL_GET_SHELL_SURFACE_SINCE_VERSION

#define WL_SHELL_GET_SHELL_SURFACE_SINCE_VERSION 1

Definition at line 2722 of file wayland-client-protocol.h.

## Function Documentation

## wl_shell_destroy()

static void wl_shell_destroy | ( | struct wl_shell * | wl_shell | ) |

inline static

Definition at line 2746 of file wayland-client-protocol.h.

{
wl_proxy_destroy((struct wl_proxy *) wl_shell);
}

## wl_shell_get_shell_surface()

static struct wl_shell_surface* wl_shell_get_shell_surface | ( | struct wl_shell * | wl_shell,
|  | struct wl_surface * | surface
| ) |  |

static

Create a shell surface for an existing surface. This gives the wl_surface the role of a shell surface. If the wl_surface already has another role, it raises a protocol error.

Only one shell surface can be associated with a given surface.

Definition at line 2761 of file wayland-client-protocol.h.

References NULL, WL_SHELL_GET_SHELL_SURFACE, and wl_shell_surface_interface.

{
struct wl_proxy *id;
id = wl_proxy_marshal_constructor((struct wl_proxy *) wl_shell,
WL_SHELL_GET_SHELL_SURFACE, &wl_shell_surface_interface, NULL, surface);
return (struct wl_shell_surface *) id;
}
id
GLuint id
Definition: SDL_opengl_glext.h:528
surface
EGLSurface surface
Definition: eglext.h:248
WL_SHELL_GET_SHELL_SURFACE
#define WL_SHELL_GET_SHELL_SURFACE
Definition: wayland-client-protocol.h:2716
NULL
#define NULL
Definition: begin_code.h:164
wl_shell_surface_interface
const struct wl_interface wl_shell_surface_interface
Definition: wayland-protocol.c:343

## wl_shell_get_user_data()

static void* wl_shell_get_user_data | ( | struct wl_shell * | wl_shell | ) |

inline static

Definition at line 2733 of file wayland-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) wl_shell);
}

## wl_shell_set_user_data()

static void wl_shell_set_user_data | ( | struct wl_shell * | wl_shell,
|  | void * | user_data
| ) |  |

inline static

Definition at line 2726 of file wayland-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) wl_shell, user_data);
}